server:
  port: 8084
spring:
  cloud:
    stream:
      kafka:
        binder:
          brokers: 47.113.231.200:9092
          zkNodes: 47.113.231.200:2181
          auto-create-topics: true
          healthTimeout: 600
      bindings:
        file_dl_pipeline_in:
          destination: stream-file-dl
          group: file-dl
          consumer:
            pollTimeout: 60
        file_dl_pipeline_out:
          destination: stream-file-dl
          content-type: text/plain
        protobuf_pipeline_in:
          destination: stream-protobuf
          group: protobuf
          consumer:
            pollTimeout: 60
        protobuf_pipeline_out:
          destination: stream-protobuf
          content-type: text/plain
        storage_pipeline_in:
          destination: stream-db
          group: db
          consumer:
            pollTimeout: 60
        storage_pipeline_out:
          destination: stream-db
          content-type: text/plain
  kafka:
    producer:
      batch-size: 10
    properties:
      max:
        poll:
          records: 10
          interval:
            ms: 3600000
topics:
  stream-protobuf: com.jsc.dsp.service.ProtobufService
  stream-db: com.jsc.dsp.service.StorageService
  stream-file-dl: com.jsc.dsp.service.FileDlService

es:
  ip: 8.130.95.27
  port: 28087
  username: elastic
  password: passok123A
  index: indeximos
  type: default
ceph:
  aws-access-key: JH8OF0D9ZJYYXBFYB5OD
  aws-secret-key: FuptELjiPQOQNR6tPOVL777n3dGe3bZCDJphyiz0
  endpoint: 192.168.1.16:28090
db:
  driver: com.mysql.cj.jdbc.Driver
  url: jdbc:mysql://8.130.95.27:28089/dsp
  user: root
  password: passok123A
custom:
  dev-mode: false
  filter-words-query-api: http://47.115.228.133:28081/api/open/wordBank/queryAll
  filter-words-update-interval-ms: 3600000
  local-file-storage-path: E:/data/local-storage/
  proto_save_path: D:/data/spider_data/proto/
  transfer_backup_path: E:/data/transfer_backup/
  file_unzip_path: E:/html-full/
  keep_backup_file: E:/data/dbzq_backup/
  nginx_path: E:/OSC-3.0/app/osdp_board/html/
  websiteQueryAPI: http://47.115.228.133:28081/api/open/target/website/queryAllInfo
  websiteUpdateAPI: http://47.115.228.133:28081/api/open/target/website/update
  socialQueryAPI: http://47.115.228.133:28081/api/open/target/social/queryAll?sortBy=id&shuffleResult=false
  socialUpdateAPI: http://47.115.228.133:28081/api/open/target/social/update
